# Update Mastercard Processing source: https://developer.mastercard.com/mastercard-processing-debit/documentation/sandbox-testing/update-mp-stip-bal/index.md ## Test case - Success {#test-case---success} This test case describes updating Mastercard Processing STIP balance for a specified account contract. **Sample request** `PUT /accounts/60001/stip-balance` ```JSON { "balanceAmount": 1001.11, "balanceCurrency": "EUR" } ``` **Sample response** `204` ## Test case - Fail - Not an Account Contract {#test-case---fail---not-an-account-contract} This test case describes an attempt to update Mastercard Processing STIP balance for a specified account contract in the CMS which is not an account contract. For this test case, use the following information in the request: | Path parameter | Available value | |-----------------------|-----------------| | `account_contract_id` | 101223 | **Sample request** `PUT /accounts/101223/stip-balance` ```JSON { "balanceAmount": 1001.11, "balanceCurrency": "EUR" } ``` **Sample response** `400` ```JSON { "Errors": { "Error": [ { "Source": "MASTERCARD PROCESSING", "ReasonCode": "NOT_ACCOUNT_CONTRACT", "Description": "Contract with id 101223 is not an account.", "Recoverable": false } ] } } ```